List pods
curl --request GET \
--url https://api.aireserve.com/v1/gpu/pods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/pods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/pods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "requested",
"createdAt": "2023-11-07T05:31:56Z",
"desiredState": "running",
"gpuTypeId": "<string>",
"gpuCount": 123,
"dataCenterId": "<string>",
"containerDiskGb": 123,
"networkVolumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageName": "<string>",
"rateUsdPerHour": "<string>",
"envKeys": [
"<string>"
],
"paidThroughAt": "2023-11-07T05:31:56Z",
"lastError": "<string>"
}
],
"nextCursor": "<string>"
}GPU Compute
List pods
Returns all pods owned by your organization, including terminated ones. Response shape: { data: ComputePod[], nextCursor?: string }. Requires compute read access or higher.
GET
/
v1
/
gpu
/
pods
List pods
curl --request GET \
--url https://api.aireserve.com/v1/gpu/pods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/pods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/pods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "requested",
"createdAt": "2023-11-07T05:31:56Z",
"desiredState": "running",
"gpuTypeId": "<string>",
"gpuCount": 123,
"dataCenterId": "<string>",
"containerDiskGb": 123,
"networkVolumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageName": "<string>",
"rateUsdPerHour": "<string>",
"envKeys": [
"<string>"
],
"paidThroughAt": "2023-11-07T05:31:56Z",
"lastError": "<string>"
}
],
"nextCursor": "<string>"
}Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Query Parameters
Pagination cursor from a previous response.